gtkmm: Gtk::VSeparator Class Reference

gtkmm 3.1.90

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Related Functions

# Gtk::VSeparator Class Reference
Widgets

Vertical line widget. More...

Inheritance diagram for Gtk::VSeparator:
[legend]
Collaboration diagram for Gtk::VSeparator:
[legend]

List of all members.

## Public Member Functions
virtual | ~VSeparator ()
GtkVSeparator* | gobj ()
| Provides access to the underlying C GtkObject.
const GtkVSeparator* | gobj () const
| Provides access to the underlying C GtkObject.
| VSeparator ()
## Related Functions
(Note that these are not member functions.)
Gtk::VSeparator* | wrap (GtkVSeparator* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Vertical line widget.

Filler widget used to separate widgets with a visible line. This widget has no window and receives no configuration events. It should be considered a leaf widget.

A VSeparator widget looks like this:

## Constructor & Destructor Documentation

virtual Gtk::VSeparator::~VSeparator | ( |  | ) | `[virtual]`

Gtk::VSeparator::VSeparator | ( |  | ) |

## Member Function Documentation

GtkVSeparator* Gtk::VSeparator::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::Separator.

const GtkVSeparator* Gtk::VSeparator::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::Separator.

## Friends And Related Function Documentation

Gtk::VSeparator* wrap | ( | GtkVSeparator * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gtkmm/hvseparator.h